# admone
A tolerable Zsh prompt

![Screenshot](branding/screenshot.png)

## Installation
Source this script somewhere in your Zshrc. Theoretically works with plugin managers as well, although this is untested

## Configuration
Configuration is done by modifying the variables set at the start of the script. Just get in there and mess around a bit, its not very difficult to understand

## My design requirements
  - No dependency on OhMyZSH
  - Quick to load
  - 2 lines
  - Git integration
  - Easily extensible
  - Bracketed sections
  - Vi-mode integration

## Name
```
admon.e              V      2 1 PRES ACTIVE  IMP 2 S    
admoneo, admonere, admonui, admonitus  V (2nd) TRANS   [XXXAO]  
admonish, remind, prompt; suggest, advise, raise; persuade, urge; warn, caution
```

## License
Admone is MIT licensed by [Armaan Bhojwani](https://armaanb.net), [email](mailto:code@armaanb.net)

Code is heavily inspired by [Pierre-Albéric TROUPLIN's prompt](https://github.com/palb91/dotfiles/blob/master/zsh/conf.d/00_prompt.zsh), [this gist by romkatv](https://gist.github.com/romkatv/2a107ef9314f0d5f76563725b42f7cab), and [this comment by romkatv](https://github.com/romkatv/powerlevel10k/issues/888#issuecomment-657969840)
